curl --request GET \
--url https://api.sendkit.dev/domains \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "yourdomain.com",
"status": "verified",
"region": "us-east-1",
"open_tracking": true,
"click_tracking": true,
"tls": "opportunistic",
"sending_enabled": true,
"dns_records": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"record_type": "DKIM",
"name": "sendkit._domainkey.yourdomain.com",
"value": "v=DKIM1; k=rsa; p=MIGfMA0...",
"ttl": 3600,
"status": "verified",
"priority": 10,
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}
],
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}
],
"links": {
"first": "https://api.sendkit.dev/contacts?page=1",
"last": "https://api.sendkit.dev/contacts?page=3",
"prev": null,
"next": "https://api.sendkit.dev/contacts?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 3,
"per_page": 25,
"to": 25,
"total": 75,
"path": "https://api.sendkit.dev/contacts"
}
}Retrieve a paginated list of all domains in your account, including their DNS records and verification status.
curl --request GET \
--url https://api.sendkit.dev/domains \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "yourdomain.com",
"status": "verified",
"region": "us-east-1",
"open_tracking": true,
"click_tracking": true,
"tls": "opportunistic",
"sending_enabled": true,
"dns_records": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"record_type": "DKIM",
"name": "sendkit._domainkey.yourdomain.com",
"value": "v=DKIM1; k=rsa; p=MIGfMA0...",
"ttl": 3600,
"status": "verified",
"priority": 10,
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}
],
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}
],
"links": {
"first": "https://api.sendkit.dev/contacts?page=1",
"last": "https://api.sendkit.dev/contacts?page=3",
"prev": null,
"next": "https://api.sendkit.dev/contacts?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 3,
"per_page": 25,
"to": 25,
"total": 75,
"path": "https://api.sendkit.dev/contacts"
}
}